org.h2.expression.condition

## Enum CompareLike.LikeType

- java.lang.Object
- - java.lang.Enum<CompareLike.LikeType>
  - - org.h2.expression.condition.CompareLike.LikeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CompareLike.LikeType>

Enclosing class:
  CompareLike

    public static enum CompareLike.LikeType
    extends java.lang.Enum<CompareLike.LikeType>

The type of comparison.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ILIKE` ILIKE (case-insensitive LIKE).
`LIKE` LIKE.
`REGEXP` REGEXP

### Method Summary

All Methods Static Methods Concrete Methods
`static CompareLike.LikeType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CompareLike.LikeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LIKE

    public static final CompareLike.LikeType LIKE

LIKE.

#### ILIKE

    public static final CompareLike.LikeType ILIKE

ILIKE (case-insensitive LIKE).

#### REGEXP

    public static final CompareLike.LikeType REGEXP

REGEXP

### Method Detail

#### values

    public static CompareLike.LikeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompareLike.LikeType c : CompareLike.LikeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompareLike.LikeType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null